Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.service.impl
Class DurableTopicSubscription

    java.lang.Object
      org.codehaus.activemq.service.impl.SubscriptionImpl
          org.codehaus.activemq.service.impl.DurableTopicSubscription

All Implemented Interfaces:
  Subscription

public class DurableTopicSubscription
extends SubscriptionImpl

Represents a durable topic subscription where the consumer has a unique clientID used to persist the messages across both Broker restarts and JMS client restarts

Version:
  $Revision: 1.8 $

Field Summary

Fields inherited from class org.codehaus.activemq.service.impl.SubscriptionImpl
`dispatch, filter, messagePtrs, unconsumedMessagesDispatched`

Constructor Summary
`DurableTopicSubscription(Dispatcher dispatcher, ConsumerInfo info, Filter filter)`

Method Summary
`java.lang.String` | `getPersistentKey()` Returns the persistent key used to uniquely identify this durable topic subscription
`void` | `messageConsumed(MessageAck ack)` Indicates a message has been delivered to a MessageConsumer
`void` | `redeliverMessage(MessageContainer container, MessageAck ack)` Forces the given message to be redelivered

Methods inherited from class org.codehaus.activemq.service.impl.SubscriptionImpl
`addMessage, clear, clientIDsEqual, doMessageConsume, equal, getClientId, getConsumerId, getConsumerNumber, getDestination, getFilter, getLastMessageIdentity, getMessagesToDispatch, getMessagesWithPrefetch, getSelector, getSubscriberName, isActive, isAtPrefetchLimit, isBrowser, isDurableTopic, isNoLocal, isReadyToDispatch, isSameDurableSubscription, isTarget, isWildcard, onAcknowledgeTransactedMessageBeforeCommit, reset, setActive, setActiveConsumer, setClientId, setFilter, setLastMessageIdentifier, setNoLocal, setSubscriberName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DurableTopicSubscription

    public DurableTopicSubscription(Dispatcher dispatcher,
                                    ConsumerInfo info,
                                    Filter filter)

Method Detail

### messageConsumed

    public void messageConsumed(MessageAck ack)
                         throws JMSException

  Description copied from class: `SubscriptionImpl`
  Indicates a message has been delivered to a MessageConsumer

  Specified by:
    `messageConsumed` in interface `Subscription`
  Overrides:
    `messageConsumed` in class `SubscriptionImpl`
  Parameters:
    `ack` -
  Throws:
    `JMSException`

### redeliverMessage

    public void redeliverMessage(MessageContainer container,
                                 MessageAck ack)
                          throws JMSException

  Description copied from interface: `Subscription`
  Forces the given message to be redelivered

  Specified by:
    `redeliverMessage` in interface `Subscription`
  Overrides:
    `redeliverMessage` in class `SubscriptionImpl`
  Throws:
    `JMSException`

### getPersistentKey

    public java.lang.String getPersistentKey()

  Description copied from interface: `Subscription`
  Returns the persistent key used to uniquely identify this durable topic subscription

  Specified by:
    `getPersistentKey` in interface `Subscription`
  Overrides:
    `getPersistentKey` in class `SubscriptionImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.